/*
    Copyright (C) 2005-2007 Tom Beaumont

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/


struct LevelInfo{
	int hintID;
	const char *file, *name;
} levelNames[] = {

{0,		"map_maybe\\map.lev",						"  Map",},
{0,		"0_green\\asymmetrix.lev",					"  Orbital",},
{0,		"0_green\\hive.lev",						"  Hive",},
{0,		"0_green\\there and back.lev",				"  There  and Back",},
{0,		"0_green\\triangular.lev",					"  Triangular",},
{0,		"1_trampoline\\01.lev",						"  Mini  Island",},
{0,		"1_trampoline\\01_b.lev",					"  Island  Variation",},
{0,		"1_trampoline\\archipeligo.lev",			"  Archipelago",},
{0,		"1_trampoline\\arrow.lev",					"  Weathervane",},
{0,		"1_trampoline\\Bridges.lev",				"  Bridges",},
{0,		"1_trampoline\\explorer.lev",				"  Explorer",},
{0,		"1_trampoline\\test_trampoline.lev",		"  Trampolines",},
{0,		"2_greendoor\\Loopy.lev",					"  Not a Knot",},
{0,		"2_greendoor\\more mountain.lev",			"  Another  Mountain",},
{0,		"2_greendoor\\Mountain.lev",				"  A  Mountain",},
{0,		"2_greendoor\\test_green_gate.lev",			"  Green  Walls",},
{0,		"2_greendoor\\winding order.lev",			"  Winding  Order",},
{0,		"2005_11_15\\boating.lev",					"  Rental  Boat",},
{0,		"2005_11_15\\ferry.lev",					"  Ferrying",},
{0,		"2005_11_15\\HUB.LEV",						"  Transport  Hub",},
{0,		"2005_11_15\\learn lift.lev",				"  Lifts",},
{0,		"2005_11_15\\leftovers.lev",				"  Leftovers",},
{0,		"2005_11_15\\lumpy.lev",					"  Trampoline  Retrieval",},
{0,		"2005_11_15\\rolling hexagons.lev",			"  Rolling  Hexagons",},
{0,		"2005_11_15\\telephone.lev",				"  Telephone",},
{0,		"2005_11_16\\breakthrough.lev",				"  Breakthrough",},
{0,		"2005_11_19\\aa.lev",						"  Laser  Safety",},
{0,		"2005_11_19\\branches.lev",					"  Branching  Pathway",},
{0,		"2005_11_19\\one way up.lev",				"  Only One  Way Up",},
{0,		"2005_11_19\\outposts.lev",					"  Outposts",},
{0,		"2005_11_19\\turntables.lev",				"  Roundabouts",},
{0,		"2005_11_19\\two fish.lev",					"  Two  Fish",},
{0,		"3_2hitfloor\\all wound up.lev",			"All  Wound  Up",},
{0,		"3_2hitfloor\\collapse2.lev",				"  Toughened   Tiles",},
{0,		"3_2hitfloor\\Island.lev",					"  Island",},
{0,		"3_2hitfloor\\more stripes.lev",			"  More  Stripes",},
{0,		"3_2hitfloor\\Stripey.lev",					"  Stripes",},
{0,		"3_2hitfloor\\test_2hit_floor.lev",			"  One Two  One Two",},
{0,		"3_2hitfloor\\Turtle.lev",					"  Turtle",},
{0,		"3_2hitfloor\\Wand.lev",					"  Wand",},
{0,		"4_gun\\deathtrap.lev",						"  Deathtrap",},
{0,		"4_gun\\eagerness.lev",						"  Eagerness",},
{0,		"4_gun\\gun platform.lev",					"  Gun  Platform",},
{0,		"4_gun\\Nucleus.lev",						"  Nucleus",},
{0,		"4_gun\\Sniper.lev",						"  Sniper",},
{0,		"4_gun\\snowflake 2.lev",					"  Deadly  Snowflake",},
{0,		"4_gun\\snowflake.lev",						"  Snowflake",},
{0,		"4_gun\\Test_gun.lev",						"  Laser  Tiles",},
{0,		"4_gun\\trigger happy.lev",					"  Trigger  Happy",},
{0,		"5_spinner\\lure.lev",						"  Lure",},
{0,		"5_spinner\\Maxe.lev",						"  Maze",},
{0,		"5_spinner\\Motion.lev",					"  Motion  Sickness",},
{0,		"5_spinner\\preperation mk 3.lev",			"  All About  Preparation",},
{0,		"5_spinner\\revolver cannon.lev",			"  Revolver  Cannon",},
{0,		"5_spinner\\small cog.lev",					"  Small  Cog",},
{0,		"5_spinner\\Sprocket.lev",					"  Sprocket",},
{0,		"5_spinner\\switch.lev",					"  Switch",},
{0,		"5_spinner\\test_spinner.lev",				"  Spinner  Tiles",},
{0,		"5_spinner\\three more ways.lev",			"  Three  More Ways",},
{0,		"5_spinner\\three ways mk 2.lev",			"  Three  Ways To Go",},
{0,		"6_ice\\oo.lev",							"Please  Skate  Safely",},
{0,		"6_ice\\refraction.lev",					"  Refraction",},
{0,		"6_ice\\route finder.lev",					"  Route  Finder",},
{0,		"6_ice\\slippy.lev",						"A  Slippery  Situation",},
{0,		"7_item\\crooked.lev",						"  Crooked",},
{0,		"7_item\\green honey.lev",					"  Green  Honey",},
{0,		"7_item\\kx.lev",							"  Carefully  Does It",},
{0,		"7_item\\radioactive ice.lev",				"  Radioactive  Ice",},
{0,		"7_item\\slider.lev",						"  Pro  Skater",},
{0,		"7_item\\spinners mk2.lev",					"  Spinners  II",},
{0,		"7_item\\spinners.lev",						"  Spinners",},
{0,		"7_item\\test_ice.lev",						"  Deslippify",},
{0,		"7_item\\tt.lev",							"  Tri Mesh",},
{0,		"7_item\\Wheel.lev",						"  Wheel",},
{0,		"8_item2\\finishing strike.lev",			"  Finishing  Strike",},
{0,		"8_item2\\p2.lev",							"  Big  Jumps",},
{0,		"8_item2\\wave cannon.lev",					"  Wave  Cannon",},
{0,		"9_boat\\clearance.lev",					"  Clearance",},
{0,		"9_boat\\floating.lev",						"  Floating",},
{0,		"9_boat\\forced fire.lev",					"  Forced  Fire",},
{0,		"9_boat\\no swimming allowed.lev",			"No  Swimming  Allowed",},
{0,		"a.lev",									"A Little  Light  Lifting",},
{0,		"A_Lift\\house.lev",						"  House",},
{0,		"A_Lift\\hunting.lev",						"  Hunting",},
{0,		"A_Lift\\Lifting.lev",						"  More  Lifting",},
{0,		"A_Lift\\opportunist_mini.lev",				"  Opportunist",},
{0,		"A_Lift\\test_lift.lev",					"  Demolition",},
{0,		"A_Lift\\upper.lev",						"  Upper",},
{0,		"b.lev",									"Beware  Feedback  Loops",},
{0,		"B_Builder\\airlock ending.lev",			"  Somewhat  Constructive",},
{0,		"B_Builder\\overbuild.lev",					"  Overbuild",},
{0,		"B_Builder\\reversing space.lev",			"  Reversing  Space",},
{0,		"B_Builder\\test_builder.lev",				"Burn  Your  Bridges",},
{0,		"c.lev",									"A  Strange  Place",},
{0,		"commute.lev",								"  Commute",},
{0,		"d.lev",									"  Bouncing  Required",},
{0,		"de-icing.lev",								"  Fetch  Quest",},
{0,		"e.lev",									"  Laser  Surgery",},
{0,		"ice intro.lev",							"  Icy  Tiles",},
{0,		"icy road.lev",								"  Icy  Road",},
{0,		"invertor.lev",								"  Inversion",},

{0,		"_20",										"Complete __ levels to unlock"},
{0,		"_35",										"Complete __ levels to unlock"},
{0,		"_55",										"Complete __ levels to unlock"},
{0,		"_75",										"Complete __ levels to unlock"},
{0,		"_90",										"Complete __ levels to unlock"},

};
